// UpdateMesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "UpdateMesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUpdateMesDlg dialog


CUpdateMesDlg::CUpdateMesDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CUpdateMesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUpdateMesDlg)
	m_text = _T("");
	//}}AFX_DATA_INIT
	m_sShowPodrob=false;
	m_bNoCancel=FALSE;
}


void CUpdateMesDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUpdateMesDlg)
	DDX_Text(pDX, IDC_ST_TEXT, m_text);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDCANCEL, m_cancel_btn);
}


BEGIN_MESSAGE_MAP(CUpdateMesDlg, CaplTranslateDialog)
	//{{AFX_MSG_MAP(CUpdateMesDlg)
	ON_BN_CLICKED(ID_PODROB, OnPodrob)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUpdateMesDlg message handlers

void CUpdateMesDlg::OnPodrob() 
{
	m_sShowPodrob=true;
	OnOK();
}

BOOL CUpdateMesDlg::OnInitDialog()
{
	CaplTranslateDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	if(m_bNoCancel) m_cancel_btn.EnableWindow(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
